summary refs log tree commit diff
path: root/pkgs/applications/video/zapping/builder.sh
diff options
context:
space:
mode:
authorEelco Dolstra <eelco.dolstra@logicblox.com>2004-01-21 09:34:19 +0000
committerEelco Dolstra <eelco.dolstra@logicblox.com>2004-01-21 09:34:19 +0000
commit823b3e4770f6f95468a15e9887be76e0535100a3 (patch)
tree14625a13ae23cd5b07cc9c9b0247c50ad6c40803 /pkgs/applications/video/zapping/builder.sh
parente0f8b5d722288a2fc7eac0f667380bf7c7e92b93 (diff)
downloadnixlib-823b3e4770f6f95468a15e9887be76e0535100a3.tar
nixlib-823b3e4770f6f95468a15e9887be76e0535100a3.tar.gz
nixlib-823b3e4770f6f95468a15e9887be76e0535100a3.tar.bz2
nixlib-823b3e4770f6f95468a15e9887be76e0535100a3.tar.lz
nixlib-823b3e4770f6f95468a15e9887be76e0535100a3.tar.xz
nixlib-823b3e4770f6f95468a15e9887be76e0535100a3.tar.zst
nixlib-823b3e4770f6f95468a15e9887be76e0535100a3.zip
* Added `zapping', a TV viewer application. It depends on Gnome, so
  lots of packages are needed.

svn path=/nixpkgs/trunk/; revision=681
Diffstat (limited to 'pkgs/applications/video/zapping/builder.sh')
-rwxr-xr-xpkgs/applications/video/zapping/builder.sh18
1 files changed, 18 insertions, 0 deletions
diff --git a/pkgs/applications/video/zapping/builder.sh b/pkgs/applications/video/zapping/builder.sh
new file mode 100755
index 000000000000..024ad12c4407
--- /dev/null
+++ b/pkgs/applications/video/zapping/builder.sh
@@ -0,0 +1,18 @@
+#! /bin/sh
+
+buildinputs="$pkgconfig $perl $python $x11 $libgnomeui \
+  $libglade $scrollkeeper $esound"
+. $stdenv/setup || exit 1
+
+# !!! hack; this is because $linuxHeaders/config.h includes some
+# file autoconf.h.  What is that?
+export NIX_CFLAGS_COMPILE="-D_LINUX_CONFIG_H $NIX_CFLAGS_COMPILE"
+
+# Bug: esound is not added to LDFLAGS, and libtool then picks it up from /usr!
+
+tar xvfj $src || exit 1
+cd zapping-* || exit 1
+LDFLAGS="-L$esound/lib" ./configure --prefix=$out || exit 1
+make || exit 1
+# !!! hack - it tries to setuid to root
+make install ZSFB_OWNER=`id -u` ZSFB_GROUP=`id -g` || exit 1